package com.aurellem.capture;

import java.io.File;
import java.io.IOException;

import com.aurellem.capture.video.AVIVideoRecorder;
import com.jme3.app.Application;
import com.jme3.math.ColorRGBA;

public class Capture {

	public static void SimpleCaptureVideo(Application app, File file) throws IOException{
		app.getViewPort().setClearFlags(true, true, true);
		app.getViewPort().setBackgroundColor(ColorRGBA.Black);
		AVIVideoRecorder videoRecorder = new AVIVideoRecorder(file); 
		app.getStateManager().attach(videoRecorder);
		app.getViewPort().addFinalProcessor(videoRecorder);
	}
	
	
	
	
	
}
